平台运维/灾备管理/持续数据保护(CDP)/持续数据保护(CDP)相关接口
PUTCDP Operations起始版本 4.5.0同步需要认证
从CDP恢复点创建虚拟机
从CDP恢复点创建虚拟机
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
paramsObject必填请求体参数结构
nameString必填资源名称
groupIdlong必填恢复点ID
cdpTaskUuidString必填CDP任务UUID
instanceOfferingUuidString必填计算规格UUID
defaultL3NetworkUuidString默认的三层网络UUID
l3NetworkUuidsList必填三层网络UUID列表
typeString虚拟机类型
zoneUuidString区域UUID
clusterUuidString集群UUID
hostUuidString物理机UUID
primaryStorageUuidForRootVolumeString根盘对应的主存储UUID
primaryStorageUuidForDataVolumeString数据盘对应的主存储UUID
recoverBandwidthlong恢复带宽
descriptionString资源的详细描述
rootVolumeSystemTagsList系统盘的系统标签
dataVolumeSystemTagsList数据盘的系统标签
resourceUuidString资源UUID
tagUuidsList标签UUID列表
systemTagsList虚拟机系统标签
userTagsList虚拟机用户标签
响应状态
请求地址
PUT/zstack/v1/cdp-backups/actions
/zstack/v1/cdp-backups/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/cdp-backups/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","groupId":1,"cdpTaskUuid":"<cdpTaskUuid>","instanceOfferingUuid":"<instanceOfferingUuid>","defaultL3NetworkUuid":"<defaultL3NetworkUuid>","l3NetworkUuids":["<l3NetworkUuids>"],"type":"<type>","zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","hostUuid":"<hostUuid>","primaryStorageUuidForRootVolume":"<primaryStorageUuidForRootVolume>","primaryStorageUuidForDataVolume":"<primaryStorageUuidForDataVolume>","recoverBandwidth":1,"description":"<description>","rootVolumeSystemTags":["<rootVolumeSystemTags>"],"dataVolumeSystemTags":["<dataVolumeSystemTags>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "uuid": "ecadf3712d373abebb48671015a49e2c", "name": "Test-VM", "description": "web server VM", "zoneUuid": "5274961ea09834f6bdc757ec9b1d205f", "clusterUuid": "6c00cd0c676e3b5397f9e635a1357336", "imageUuid": "e9316bbaf94a37dea9a41b8a42e30b3d", "hostUuid": "7f2a8fe14f863e43b95b4e204d2b6073", "lastHostUuid": "804827a4304e309a85efb214e32edd80", "instanceOfferingUuid": "7f8ece5779ef31bab691585ffc693b91", "rootVolumeUuid": "a2b37cf28a9834da826e14e5fd7a97c6", "platform": "Linux", "defaultL3NetworkUuid": "68bca6897c4f300881985f028e61ca92", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8.589934592E9, "cpuNum": 1.0, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "645496bd84373644a52a1e62229cbb07", "vmInstanceUuid": "ecadf3712d373abebb48671015a49e2c", "usedIpUuid": "b89e21d52dbb3037a3ee585b253396f2", "l3NetworkUuid": "68bca6897c4f300881985f028e61ca92", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0.0, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "allVolumes": [ { "uuid": "a2b37cf28a9834da826e14e5fd7a97c6", "name": "Root-Volume-For-VM-ecadf3712d373abebb48671015a49e2c", "primaryStorageUuid": "3626202657933f2cb13df025773d9aa9", "vmInstanceUuid": "ecadf3712d373abebb48671015a49e2c", "rootImageUuid": "e9316bbaf94a37dea9a41b8a42e30b3d", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-a2b37cf28a9834da826e14e5fd7a97c6/a2b37cf28a9834da826e14e5fd7a97c6.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } }变更历史
此 API 暂无变更历史记录。
